import {Component} from 'react';
import { BrowserRouter as Router } from 'react-router-dom';
import { Redirect} from 'react-router-dom';
import Auth from '../authenticate/auth'
import { Login } from '../authenticate/login';
import AppLoader from '../layout/components/AppLoader';

class AuthComponent extends Component {

    constructor(props) {
        super(props)
        this.state = {
            authenticated: false,
            isLoginProgress : true
        }
        this.loggedIn = this.loggedIn.bind(this);
    }

    async componentDidMount() {
        const authenticate = await Auth.isAuthenticated();
        this.setState({authenticated: authenticate, isLoginProgress: authenticate});
    }

    async componentDidUpdate(prevProp, prevState) {
        const authenticate = await Auth.isAuthenticated();
        if(prevState.authenticated !== authenticate){
        this.setState({authenticated: authenticate, isLoginProgress: authenticate});
        }
    }
    
    loggedIn() {
        this.setState({authenticated: true, redirect: "/su/timelineview/week", isLoginProgress: true});
    }

    render() {
        return(
            <>
            { this.state.authenticated ? this.props.children:  
            <>  
                {this.state.isLoginProgress?
                    <>
                        <div className="layout-topbar clearfix auth-topbar">
                            <span className="header-title">TMSS</span>
                        </div>
                        <div className="auth-load-content">
                            <AppLoader />
                            <h2>Authentication & Authorization in progress. Please wait.</h2>
                        </div>
                    </>:
                    <Router basename={ "/" }>
                        <Redirect to={{pathname: "/login"}} />
                        <Login onLogin={this.loggedIn} />
                    </Router>
                }
            </>
            }
            </>
        )
    }
}

export default AuthComponent;