import { Component } from 'react';
import { Button } from 'primereact/button';
import { Checkbox } from 'primereact/checkbox';
import UIConstants from '../utils/ui.constants';

export default class FormActionbar extends Component {
    constructor(props) {
        super(props);
        this.state = {
            createAnother:  false
        }
        this.createAnotherCallBack = this.createAnotherCallBack.bind(this);
        this.tooltipOptions = UIConstants.tooltipOptions;
    }
 
    /**
     * 
     * @param {*} e 
     */
     createAnotherCallBack(e) {
        this.props.createAnotherCallBack(e);
    }

    render() {
        return (
            <>
                <div className='footer-short-div' >
                    {this.props.createAnother !== undefined && 
                       <>
                         <Checkbox inputId="trigger" role="trigger" data-testid="createAnother" tooltip={this.props.tooltip} tooltipOptions={this.tooltipOptions}
                                checked={this.props.createAnother}  onChange={e => this.createAnotherCallBack(e)} className="create-another-checkbox" />
                            <label style={{display: 'inline', marginRight: '2em'}}> Create another? </label>
                        </>
                    }
                    <Button label="Save" className="p-button-primary p-button--small act-btn-save" id="save-btn"  data-testid="save-btn"
                        title={this.props.submitTitle}
                        icon="pi pi-check" style={{marginRight: "1em", color: "white", marginTop: "5px", paddingBottom: "5px"}} 
                        onClick={this.props.onSubmit} disabled={this.props.enableSaveBtn}/>
                    <Button label="Cancel" className="p-button--small act-btn-cancel" icon="pi pi-times" onClick={this.props.onCancel}/>
                </div>
            </>
        );
    }
}