import { Component } from 'react';
import Cleave from 'cleave.js/react';

const BG_COLOR= '#f878788f';

export default class OffsetTimeInputMask extends Component {
    constructor(props) {
        super(props);
        this.callback = this.callback.bind(this);
        this.onFocusLost = this.onFocusLost.bind(this);
    }

    onFocusLost(e) {
        this.props.context.componentParent.onFocusLost(
          this.props.node.rowIndex,this.props.colDef.field,e.target.value
        );
    }
    
    /**
     * call back function to set value into grid
     * @param {*} e 
     */
    callback(e) {
        let isValid = false;
        if (e.target.value.match('/^[\+|\-]([0-1]?[0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9]$/')) {
            e.target.style.backgroundColor = '';
            isValid = true;
        }   else  {
            e.target.style.backgroundColor = BG_COLOR;
        }
        e.target.style.border = "none";
        this.props.context.componentParent.updateAngle(
            this.props.node.rowIndex,this.props.colDef.field,e.target.value,false,isValid
        );
    }
 
    afterGuiAttached(){
        this.input.focus();
        this.input.select();
    }

    render() {
        return (
            <Cleave placeholder="[+/- HH:MM:SS]" value={this.props.value}
              title="Enter in hms format"
              className="inputmask" 
              htmlRef={(ref) => this.input = ref }
              onChange={this.callback} onBlur={this.onFocusLost} />
        );
    }
}