import React, { Component } from 'react';
import { TabView,TabPanel } from 'primereact/tabview';

import PageHeader from '../../layout/components/PageHeader';

import CycleReportMain from "./cycle/report.main";
import ProjectReportMain from "./project.report.main";

class ReportHome extends Component {

    constructor(props) {
        super(props);
        this.state = {
            reportIndex: 0
        }
        this.close = this.close.bind(this);
    }

    close() {
        this.props.history.goBack();
    }

    render() {
        return (
            <React.Fragment>
                <div className='routerpage'>
            <PageHeader location={this.props.location} title={'Reports'} actions={[{icon:'pi pi-times', title:'Click to Close Report',
                   type: 'buttonv2',  actOn: 'click', props:{ callback: this.close }}]}/>
            <TabView activeIndex={this.state.reportIndex} onTabChange={(e) => this.setState({reportIndex: e.index})}>
                <TabPanel header="Cycle">
                    <CycleReportMain></CycleReportMain>
                </TabPanel>
                <TabPanel header="Project">
                    <ProjectReportMain ></ProjectReportMain>
                </TabPanel>
            </TabView>
            </div>
            </React.Fragment>
        );
    }
}

export default ReportHome;