import axios from "axios";

const ReportService = {

    getProjectReport: async(project) => {
        let reportData = {};
        try {
            const response = await axios.get(`/api/project/${project}/report/`);
            reportData = response.data;
        }   catch(error) {
            console.error(error);
            reportData.error = error;
        }
        return reportData;
    },
    getCycleReport: async(id) => {
        try {
          const response = await axios.get(`/api/cycle/${id}/report/?exclude_projects=IDOLS,COM_LOFAR2`);
          return response.data;
        } catch(error) {
          console.error(error);
          return null;
        }
    },
    getCyclesReport: async(cycleList) => {
      try {
        let cycleReportData = [];
        for(const cycle of cycleList) {
          const response = await axios.get(`/api/cycle/${cycle}/report/?exclude_projects=IDOLS,COM_LOFAR2`);  // todo: add UI element to alter excluded projects
          cycleReportData.push(response.data)
        }
        return cycleReportData;
      } catch(error) {
        console.error(error);
        return null;
      }
  }
}

export default ReportService;
