import {parseTemplatesToCorrectJSONFormat} from "./service.helper";

describe('parseTemplatesToCorrectJSONFormat', () => {
    const correctJsonTemplate = [{name: "Template 1"}, {name: "Template 2"}];
    it('should parse an array of JSON strings to objects', () => {
        const templates = ['{"name": "Template 1"}', '{"name": "Template 2"}'];
        const result = parseTemplatesToCorrectJSONFormat(templates);
        expect(result).toEqual(correctJsonTemplate);
    });

    it('should leave non-string elements unchanged and parse JSON strings to objects', () => {
        const templates = ['{"name": "Template 1"}', {name: "Template 2"}];
        const result = parseTemplatesToCorrectJSONFormat(templates);
        expect(result).toEqual(correctJsonTemplate);
    });

    it('should leave non-string elements unchanged', () => {
        const templates = [123, true, null];
        const expected = [123, true, null];
        const result = parseTemplatesToCorrectJSONFormat(templates);
        expect(result).toEqual(expected);
    });
});
