import _ from 'lodash';

/** Utility to caluclate arithmetic functions like average, etc., */
const MathUtility = {

    /**
     * Function to calculate average of array of numbers.
     * @param {Array} dataList - array of number values
     * @param {Integer} roundedTo - average to be roundedTo decimal. If not mentioned will round to whole number.
     * @param {Boolean} returnZeroIfEmpty - flag to mention whether 0 should be returned if dataList is empty. If not mentioned, null will be returned
     * @returns Number or null
     */
    getAverage(dataList, roundedTo, returnZeroIfEmpty) {
        const notNullCount = _.countBy(dataList, data => { return (data !== null && data !== undefined)})[true];
        let average  = notNullCount > 0 ? 
                        (_.sum(dataList)/notNullCount).toFixed(roundedTo?roundedTo:0):
                        returnZeroIfEmpty?0:null;
        return average;
    }
}

export default MathUtility;